Subject: pylint: ImportError: No module named pkg_resources
From: Oleksandr Gavenko via Cygwin <[email-masked]>
To: [email-masked]
Date: Sun, 17 Jan 2021 01:18:14 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

After installing pylint:

  setup.exe -p pylint

I expected I can use the package:

  pylint /dev/null

  Traceback (most recent call last):
    File "/usr/bin/pylint", line 5, in <module>
      from pkg_resources import load_entry_point
  ImportError: No module named pkg_resources

I tried to add package:

  python-setuptools

as suggested by:

  https://stackoverflow.com/questions/7446187/no-module-named-pkg-resources

and now it works.

I believe that x86_64/setup.bz2 is broken:

  depends2: python, python-logilab-astng, python-logilab-common

It doesn't mention python-setuptools.

Or it might be that /usr/bin/pylint should be rewritten to avoid dependency to
setuptools.

-- 
http://defun.work/

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple